<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Coding quality &mdash; anonym anonym documentation</title>
      <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script src="_static/jquery.js?v=5d32c60e"></script>
        <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
        <script src="_static/documentation_options.js?v=14175b09"></script>
        <script src="_static/doctools.js?v=888ff710"></script>
        <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="API References" href="anonym.anonym.html" />
    <link rel="prev" title="Github" href="Documentation.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            anonym
          </a>
              <div class="version">
                0.1.1
              </div>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
    
              <p class="caption" role="heading"><span class="caption-text">Installation</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Installation.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="Installation.html#uninstalling">Uninstalling</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Methods</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html">Algorithm</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#named-entity-recognition-catagories">Named Entity Recognition Catagories</a></li>
<li class="toctree-l1"><a class="reference internal" href="Algorithm.html#faking-the-data-entries">Faking the data entries</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html">Import and saving</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html#import-from-csv">Import from csv</a></li>
<li class="toctree-l1"><a class="reference internal" href="Import%20and%20save.html#saving-to-csv">Saving to csv</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Examples</span></p>
<ul>
<li class="toctree-l1"><a class="reference internal" href="Examples.html">Quickstart to anonym your data set</a></li>
<li class="toctree-l1"><a class="reference internal" href="Examples.html#anonymize-data-set-with-user-defined-specifications">Anonymize data set with user defined specifications</a></li>
</ul>
<p class="caption" role="heading"><span class="caption-text">Documentation</span></p>
<ul class="current">
<li class="toctree-l1"><a class="reference internal" href="Documentation.html">Github</a></li>
<li class="toctree-l1"><a class="reference internal" href="Documentation.html#colab-notebook">Colab Notebook</a></li>
<li class="toctree-l1 current"><a class="current reference internal" href="#">Coding quality</a><ul>
<li class="toctree-l2"><a class="reference internal" href="#library">library</a></li>
<li class="toctree-l2"><a class="reference internal" href="#style">Style</a></li>
<li class="toctree-l2"><a class="reference internal" href="#complexity">Complexity</a></li>
<li class="toctree-l2"><a class="reference internal" href="#unit-tests">Unit tests</a></li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="anonym.anonym.html">API References</a></li>
</ul>

    <a href= "genindex.html">Index</a>
  
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">anonym</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
      <li class="breadcrumb-item active">Coding quality</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/Coding quality.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="coding-quality">
<h1>Coding quality<a class="headerlink" href="#coding-quality" title="Link to this heading"></a></h1>
<p>We value software quality. Higher quality software has fewer defects, better security, and better performance, which leads to happier users who can work more effectively.
Code reviews are an effective method for improving software quality. McConnell (2004) suggests that unit testing finds approximately 25% of defects, function testing 35%, integration testing 45%, and code review 55-60%.
While this means that none of these methods are good enough on their own and that they should be combined, clearly code review is an essential tool here.</p>
<p>This library is therefore developed with several techniques, such as coding styling, low complexity, docstrings, reviews, and unit tests.
Such conventions are helpfull to improve the quality, make the code cleaner and more understandable but alos to trace future bugs, and spot syntax errors.</p>
<section id="library">
<h2>library<a class="headerlink" href="#library" title="Link to this heading"></a></h2>
<p>The file structure of the generated package looks like:</p>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>path/to/anonym/
├──<span class="w"> </span>.editorconfig
├──<span class="w"> </span>.gitignore
├──<span class="w"> </span>.pre-commit-config.yml
├──<span class="w"> </span>.prospector.yml
├──<span class="w"> </span>CHANGELOG.rst
├──<span class="w"> </span>docs
│<span class="w">   </span>├──<span class="w"> </span>conf.py
│<span class="w">   </span>├──<span class="w"> </span>index.rst
│<span class="w">   </span>└──<span class="w"> </span>...
├──<span class="w"> </span>LICENSE
├──<span class="w"> </span>MANIFEST.in
├──<span class="w"> </span>NOTICE
├──<span class="w"> </span>anonym
│<span class="w">   </span>├──<span class="w"> </span>__init__.py
│<span class="w">   </span>├──<span class="w"> </span>__version__.py
│<span class="w">   </span>└──<span class="w"> </span>anonym.py
├──<span class="w"> </span>README.md
├──<span class="w"> </span>requirements.txt
├──<span class="w"> </span>setup.cfg
├──<span class="w"> </span>setup.py
└──<span class="w"> </span>tests
<span class="w">    </span>├──<span class="w"> </span>__init__.py
<span class="w">    </span>└──<span class="w"> </span>test_anonym.py
</pre></div>
</div>
</section>
<section id="style">
<h2>Style<a class="headerlink" href="#style" title="Link to this heading"></a></h2>
<p>This library is compliant with the PEP-8 standards.
PEP stands for Python Enhancement Proposal and sets a baseline for the readability of Python code.
Each public function contains a docstring that is based on numpy standards.</p>
</section>
<section id="complexity">
<h2>Complexity<a class="headerlink" href="#complexity" title="Link to this heading"></a></h2>
<p>This library has been developed by using measures that help decreasing technical debt.
Version 0.1.0 of the <code class="docutils literal notranslate"><span class="pre">anonym</span></code> library scored, according the code analyzer: <strong>VALUE</strong>, for which values &gt; 0 are good and 10 is a maximum score.
Developing software with low(er) technical dept may take extra development time, but has many advantages:</p>
<ul class="simple">
<li><p>Higher quality code</p></li>
<li><p>easier maintanable</p></li>
<li><p>Less prone to bugs and errors</p></li>
<li><p>Higher security</p></li>
</ul>
</section>
<section id="unit-tests">
<h2>Unit tests<a class="headerlink" href="#unit-tests" title="Link to this heading"></a></h2>
<p>The use of unit tests is essential to garantee a consistent output of developed functions.
The following tests are secured using <code class="xref py py-func docutils literal notranslate"><span class="pre">tests.test_anonym()</span></code>:</p>
<ul class="simple">
<li><p>The input are checked.</p></li>
<li><p>The output values are checked and whether they are encoded properly.</p></li>
<li><p>The check of whether parameters are handled correctly.</p></li>
</ul>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="Documentation.html" class="btn btn-neutral float-left" title="Github" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="anonym.anonym.html" class="btn btn-neutral float-right" title="API References" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Data en Innovatielab (IenW).</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>